commit: c7db460add882055c4111b10e6b87df7aa728f5a
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 17 20:28:07 2018 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Fri Oct 19 10:59:29 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7db460a
virtual/jre: introduce masked Java 11 support
Package-Manager: Portage-2.3.45, Repoman-2.3.10
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
virtual/jre/jre-11.ebuild | 13 +++++++++++++
1 file changed, 13 insertions(+)
diff --git a/virtual/jre/jre-11.ebuild b/virtual/jre/jre-11.ebuild
new file mode 100644
index 00000000000..ebd9c8db284
--- /dev/null
+++ b/virtual/jre/jre-11.ebuild
@@ -0,0 +1,13 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Virtual for Java Runtime Environment (JRE)"
+SLOT="${PV}"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+
+RDEPEND="|| (
+ virtual/jdk:${SLOT}
+ dev-java/oracle-jre-bin:${SLOT}[gentoo-vm(+)]
+ )"